Bug 1032320 - virt-manager 'Generate from host NUMA configuration' returns an error
virt-manager 'Generate from host NUMA configuration' returns an error
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: virt-manager (Show other bugs)
7.0
x86_64 Linux
unspecified Severity high
: rc
: ---
Assigned To: Giuseppe Scrivano
Virtualization Bugs
:
Depends On:
Blocks: 722241 920743
  Show dependency treegraph
 
Reported: 2013-11-19 19:46 EST by George Beshers
Modified: 2014-06-17 20:01 EDT (History)
14 users (show)

See Also:
Fixed In Version: virt-manager-0.10.0-8.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-13 05:20:34 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
The guest xml file (3.33 KB, application/xml)
2013-11-19 19:48 EST, George Beshers
no flags Details
Output from virsh capabilities: (8.50 KB, text/xml)
2013-11-19 20:24 EST, George Beshers
no flags Details
proposed fix (649 bytes, patch)
2013-11-21 08:39 EST, Giuseppe Scrivano
no flags Details | Diff

  None (edit)
Description George Beshers 2013-11-19 19:46:38 EST
Description of problem:

The virt-manager 'Generate from host NUMA configuration' button in the 
Virtual Machine window, Processor tab returns the following error:

Error generating CPU configuration
Could not find any usable NUMA cell/cpu combinations.

The following is from the virt-manager.log file:

[Tue, 17 Sep 2013 13:26:54 virt-manager 3855] ERROR (error:119) Validation Error: Error generating CPU configuration Could not find any usable NUMA cell/cpu combinations.
Traceback (most recent call last):
  File "/usr/share/virt-manager/virtManager/details.py", line 1830, in config_vcpupin_generate
    pinstr = self.generate_cpuset()
  File "/usr/share/virt-manager/virtManager/details.py", line 1820, in generate_cpuset
    return virtinst.Guest.generate_cpuset(self.conn.vmm, mem)
  File "/usr/share/virt-manager/virtinst/Guest.py", line 161, in generate_cpuset
    raise RuntimeError(_("Could not find any usable NUMA "
RuntimeError: Could not find any usable NUMA cell/cpu combinations.
Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

On RHEL7, when I create a guest and click on the 'Generate from host NUMA 
configuration' button in virt-manager, I get the following error:

Error generating CPU configuration
Could not find any usable NUMA cell/cpu combinations.

I have included additional information below:

[root@harp33-sys ~]# uname -a
Linux harp33-sys.americas.sgi.com 3.12.0ntzpcp #8 SMP Thu Nov 7 16:26:08 CST 2013 x86_64 x86_64 x86_64 GNU/Linux

Selected information from 'yum info virt-manager'...

Here is the outInstalled Packages
Name        : virt-manager
Arch        : noarch
Version     : 0.10.0
Release     : 4.el7
Size        : 3.7 M
Repo        : installed
From repo   : rh7


Output from 'virsh nodeinfo':
[root@harp33-sys ~]# virsh nodeinfo
CPU model:           x86_64
CPU(s):              64
CPU frequency:       1446 MHz
CPU socket(s):       1
Core(s) per socket:  8
Thread(s) per core:  1
NUMA cell(s):        8
Memory size:         189675860 KiB

Output from virsh dominfo:
[root@harp33-sys ~]# virsh dominfo vhost2
Id:             2
Name:           vhost2
UUID:           0b93d83c-15ec-49e9-8545-758cdd3c6648
OS Type:        hvm
State:          running
CPU(s):         64
CPU time:       7.8s
Max memory:     8388608 KiB
Used memory:    8388608 KiB
Persistent:     yes
Autostart:      disable
Managed save:   no
Security model: none
Security DOI:   0
Comment 2 George Beshers 2013-11-19 19:48:46 EST
Created attachment 826374 [details]
The guest xml file
Comment 3 George Beshers 2013-11-19 20:24:03 EST
Created attachment 826386 [details]
Output from virsh capabilities:
Comment 4 George Beshers 2013-11-19 20:24:34 EST
Output of numactl -H:

[root@harp33-sys ~]# numactl -H
available: 8 nodes (0-7)
node 0 cpus: 0 1 2 3 4 5 6 7
node 0 size: 14998 MB
node 0 free: 14666 MB
node 1 cpus: 8 9 10 11 12 13 14 15
node 1 size: 15102 MB
node 1 free: 14814 MB
node 2 cpus: 16 17 18 19 20 21 22 23
node 2 size: 15102 MB
node 2 free: 14859 MB
node 3 cpus: 24 25 26 27 28 29 30 31
node 3 size: 15102 MB
node 3 free: 14781 MB
node 4 cpus: 32 33 34 35 36 37 38 39
node 4 size: 31230 MB
node 4 free: 30910 MB
node 5 cpus: 40 41 42 43 44 45 46 47
node 5 size: 31230 MB
node 5 free: 30412 MB
node 6 cpus: 48 49 50 51 52 53 54 55
node 6 size: 31230 MB
node 6 free: 30812 MB
node 7 cpus: 56 57 58 59 60 61 62 63
node 7 size: 31230 MB
node 7 free: 30866 MB
node distances:
node   0   1   2   3   4   5   6   7 
  0:  10  50  65  65  65  65  65  65 
  1:  50  10  65  65  65  65  65  65 
  2:  65  65  10  50  65  65  65  65 
  3:  65  65  50  10  65  65  65  65 
  4:  65  65  65  65  10  50  65  65 
  5:  65  65  65  65  50  10  65  65 
  6:  65  65  65  65  65  65  10  50 
  7:  65  65  65  65  65  65  50  10 
[root@harp33-sys ~]# 

Excerpt from virt-manager.log

[Thu, 14 Nov 2013 08:54:19 virt-manager 3359] DEBUG (engine:899) Starting vm 'vhost2'
[Thu, 14 Nov 2013 08:54:19 virt-manager 3359] DEBUG (asyncjob:190) Creating async job for function cb=<function tmpcb at 0x359d140>
[Thu, 14 Nov 2013 10:42:26 virt-manager 3359] DEBUG (details:575) Showing VM details: <vmmDomain object at 0x37a94b0 (virtManager+domain+vmmDomain at 0x3555c60)>
[Thu, 14 Nov 2013 10:42:26 virt-manager 3359] DEBUG (engine:329) window counter incremented to 2
[Thu, 14 Nov 2013 10:42:26 virt-manager 3359] DEBUG (console:1214) Starting connect process for proto=spice trans=None connhost=localhost connuser=None connport=None gaddr=127.0.0.1 gport=5900 gsocket=None
[Thu, 14 Nov 2013 10:42:26 virt-manager 3359] DEBUG (console:590) spice uri: spice://127.0.0.1?port=5900
[Thu, 14 Nov 2013 10:42:28 virt-manager 3359] DEBUG (console:1129) Viewer connected
[Thu, 14 Nov 2013 10:42:34 virt-manager 3359] ERROR (error:119) Validation Error: Error generating CPU configuration Could not find any usable NUMA cell/cpu combinations.
Traceback (most recent call last):
  File "/usr/share/virt-manager/virtManager/details.py", line 1833, in config_vcpupin_generate
    pinstr = self.generate_cpuset()
  File "/usr/share/virt-manager/virtManager/details.py", line 1823, in generate_cpuset
    return virtinst.Guest.generate_cpuset(self.conn.vmm, mem)
  File "/usr/share/virt-manager/virtinst/Guest.py", line 161, in generate_cpuset
    raise RuntimeError(_("Could not find any usable NUMA "
RuntimeError: Could not find any usable NUMA cell/cpu combinations.
Comment 5 Giuseppe Scrivano 2013-11-21 08:39:07 EST
Created attachment 827183 [details]
proposed fix

could you please confirm that the proposed patch fixes the problem for you?
Comment 7 Sherry Crandall 2013-11-25 16:04:19 EST
The patch fixes the problem.  

Thank you
Comment 9 zhengqin 2013-12-11 02:59:43 EST
Retest this issue with virt-manager-0.10.0-8.el7 on NUMA2(ibm-x3850x5-04),

currently, the button "Generate from host NUMA configuration" could work well, so, set the status as "VERIFIED"
Comment 10 Ludek Smid 2014-06-13 05:20:34 EDT
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.

Note You need to log in before you can comment on or make changes to this bug.